Detect And Respond Context Creation Models
Returns an array of Context Creation Models.
List of Requested Context Creation Models
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/rule-engine/ccms HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algo_type": "TDM",
"beta": false,
"created": 1640995200,
"id": "127e5619-5c3c-4314-9d74-c11d07c9361e",
"recommended": false,
"subscription": {
"all": "subscribed"
},
"subscriptiontype": "optout",
"system": false,
"systemdefault": false,
"updated": 1641995200,
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}
]
}Creates a context creation model from the data that's been supplied. Do not provide an id. IDs are auto generated
Context Creation Model Create or Update Config
If true, portal and API will not display new events
falseIf true, alerts will not be processed by policies and integrations
falseCategories for the context model
["system"]Context model description
context model descriptionDiscard lists are NQL statements that if matched do not get processed through the event. It enables skipping certain combinations without disabling the context model
["bits > 10000"]If true, the context model is enabled
trueNumber of seconds the context creation model will remain active
3600Factors for the context model
["srcip"]Name of the context model
new_ndm_nameThe lookback period for the context model. Min 15 seconds. Max 1 hour (3600)
300When ongoing updates should be sent. Max 6 hours (21600). 0 for disabled
0The context of record to be used for the context model
flowPossible values: Requested Context Creation Model
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
POST /api/v1/rule-engine/ccm HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 506
{
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algo_type": "TDM",
"beta": false,
"created": 1640995200,
"id": "127e5619-5c3c-4314-9d74-c11d07c9361e",
"recommended": false,
"subscription": {
"all": "subscribed"
},
"subscriptiontype": "optout",
"system": false,
"systemdefault": false,
"updated": 1641995200,
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}
]
}Fetches a specific context creation model from the ID supplied in the path.
The ID of the context creation model to be returned.
Requested Context Creation Model
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/rule-engine/ccm/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algo_type": "TDM",
"beta": false,
"created": 1640995200,
"id": "127e5619-5c3c-4314-9d74-c11d07c9361e",
"recommended": false,
"subscription": {
"all": "subscribed"
},
"subscriptiontype": "optout",
"system": false,
"systemdefault": false,
"updated": 1641995200,
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}
]
}Update a context creation model given the provided object. This does not do a diff. You must send the complete object.
The ID of the context creation model to be updated
Context Creation Model Create or Update Config
If true, portal and API will not display new events
falseIf true, alerts will not be processed by policies and integrations
falseCategories for the context model
["system"]Context model description
context model descriptionDiscard lists are NQL statements that if matched do not get processed through the event. It enables skipping certain combinations without disabling the context model
["bits > 10000"]If true, the context model is enabled
trueNumber of seconds the context creation model will remain active
3600Factors for the context model
["srcip"]Name of the context model
new_ndm_nameThe lookback period for the context model. Min 15 seconds. Max 1 hour (3600)
300When ongoing updates should be sent. Max 6 hours (21600). 0 for disabled
0The context of record to be used for the context model
flowPossible values: Requested Context Creation Model
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/rule-engine/ccm/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 506
{
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algo_type": "TDM",
"beta": false,
"created": 1640995200,
"id": "127e5619-5c3c-4314-9d74-c11d07c9361e",
"recommended": false,
"subscription": {
"all": "subscribed"
},
"subscriptiontype": "optout",
"system": false,
"systemdefault": false,
"updated": 1641995200,
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}
]
}Deletes a context creation model
The ID of the context creation model to be deleted
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/rule-engine/ccm/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Enables a context creation model
The ID of the context creation model to be enabled
Requested Context Creation Model
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/rule-engine/ccm/{id}/enable HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algo_type": "TDM",
"beta": false,
"created": 1640995200,
"id": "127e5619-5c3c-4314-9d74-c11d07c9361e",
"recommended": false,
"subscription": {
"all": "subscribed"
},
"subscriptiontype": "optout",
"system": false,
"systemdefault": false,
"updated": 1641995200,
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}
]
}Disables a context creation model
The ID of the context creation model to be disabled
Requested Context Creation Model
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/rule-engine/ccm/{id}/disable HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algo_type": "TDM",
"beta": false,
"created": 1640995200,
"id": "127e5619-5c3c-4314-9d74-c11d07c9361e",
"recommended": false,
"subscription": {
"all": "subscribed"
},
"subscriptiontype": "optout",
"system": false,
"systemdefault": false,
"updated": 1641995200,
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}
]
}Resets a customized system context creation model
The ID of the context creation model to be reseted
Requested Context Creation Model
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/rule-engine/ccm/{id}/reset HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"algo_type": "TDM",
"beta": false,
"created": 1640995200,
"id": "127e5619-5c3c-4314-9d74-c11d07c9361e",
"recommended": false,
"subscription": {
"all": "subscribed"
},
"subscriptiontype": "optout",
"system": false,
"systemdefault": false,
"updated": 1641995200,
"action": [
{
"type": "label",
"field": "dstip",
"context": "func",
"labels": [
"Testing"
]
}
],
"bypassdisplay": false,
"bypassrule": false,
"categories": [
"system"
],
"description": "context model description",
"discards": [
"bits > 10000"
],
"enabled": true,
"expiration": 3600,
"factors": [
"srcip"
],
"name": "new_ndm_name",
"rollupperiod": 300,
"search_by": [
{
"search": [
"bits > 10000"
],
"type": "all"
}
],
"thresholds": [
{
"severity": "medium",
"threshold": "average(bits) > 500"
}
],
"track_by": [
[
"srcip"
]
],
"updateinterval": 0,
"algo_record_type": "flow"
}
]
}Last updated